<!--
 * @Author: zwq
 * @Date: 2021-11-18 14:16:25
 * @LastEditors: zwq
 * @LastEditTime: 2023-07-03 10:26:10
 * @Description:
-->
<template>
    <base-table border :table-props="tableProps" :table-data="tableData" />
</template>

<script>
import i18n from "@/i18n";
import codeFilter from "@/filters/code-filter";
const tableProps = [
  {
    prop: "step",
    label: i18n.t("disqualification.step"),
    align: "center",
    filter: codeFilter('step'),
  },
  {
    prop: "memberName",
    label: "成员",
    align: "center",
  },
  {
    prop: "time",
    label: "时间(小时)",
    align: "center",
  },
  {
    prop: "approverName",
    label: "审批人",
    align: "center",
  },
  {
    prop: "terminationApproverName",
    label: "终止审批人",
    align: "center",
  },
];
export default {
  data() {
    return {
      dataInfo: "",
      tableProps,
      tableData:[]
    };
  },
  methods: {
    init(id) {
      const param = {
        startEightDisciplineId: id,
        limit: 10,
        page: 1,
      };
      this.$nextTick(() => {
        this.$http
          .get("/code/startEightDisciplineCreateTeam/page", {
            params: param,
          })
          .then(({ data: res }) => {
            this.dataListLoading = false;
            if (res.code !== 0) {
              this.tableData = [];
              return this.$message.error(res.msg);
            }
            this.tableData = res.data.list;
          })
          .catch(() => {});
      });
    },
  },
};
</script>
